Summary: multicast DNS implementation
Name: howl
Version: 0.9.6
Release: 6
License: BSD style + APSL
Group: System Environment/Base
URL: http://www.porchdogsoft.com/products/howl/
Source: %{name}-%{version}.tar.gz
Source1: mDNSResponder.init
Source2: nifd.init
Source3: mDNSResponder.conf
Patch1: howl-0.9.5-libdir.patch
Patch2: howl-0.9.5-pkgconfig.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake16 libtool

%description
Howl is a cross-platform port of Apple's "Rendezvous" (multicast DNS)
service discovery and IP autoconfiguration.

%package libs
Summary: Libraries to use howl
Group: System Environment/Libraries
Requires:   %{name} = %{version}

%description libs
This package provides the necessary libraries to use the howl APIs.

%package devel
Summary: Libraries and include files for using the howl library
Group: Development/Libraries
Requires:   %{name} = %{version}
Requires:   %{name}-libs = %{version}

%description devel
This package provides the necessary development libraries for writing
applications that use the howl APIs.

%prep
%setup -q
%patch1 -p0 -b .libdir
%patch2 -p0 -b .pkgconfig

%build
aclocal-1.6
libtoolize --force
automake-1.6 --add-missing
autoconf
%configure

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/mDNSResponder
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/nifd
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/howl
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/howl/mDNSResponder.conf

#fix up header file directory naming bug
mv $RPM_BUILD_ROOT%{_includedir}/howl $RPM_BUILD_ROOT%{_includedir}/howl-%{version}


rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

#remove the samples
rm -f $RPM_BUILD_ROOT%{_bindir}/mDNSBrowse
rm -f $RPM_BUILD_ROOT%{_bindir}/mDNSPublish
rm -f $RPM_BUILD_ROOT%{_bindir}/mDNSQuery
rm -f $RPM_BUILD_ROOT%{_bindir}/mDNSResolve

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mDNSResponder
/sbin/chkconfig --add nifd

%preun
if [ "$1" = 0 ] ; then
    /sbin/service mDNSResponder stop > /dev/null 2>&1
    /sbin/service nifd stop > /dev/null 2>&1
    /sbin/chkconfig --del mDNSResponder
    /sbin/chkconfig --del nifd
fi
exit 0

%postun
if [ "$1" -ge 1 ]; then
    /sbin/service mDNSResponder condrestart > /dev/null 2>&1
    /sbin/service nifd condrestart > /dev/null 2>&1
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc
%{_bindir}/autoipd
%{_bindir}/nifd
%{_bindir}/mDNSResponder
%{_mandir}/*/*
%config %{_sysconfdir}/rc.d/init.d/mDNSResponder
%config %{_sysconfdir}/rc.d/init.d/nifd
%dir %{_sysconfdir}/howl
%config(noreplace) %{_sysconfdir}/howl/mDNSResponder.conf

%files libs
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/howl

%changelog
* Mon Oct  4 2004 Alexander Larsson <alexl@redhat.com> - 0.9.6-6
- Use runuser instead of su to change user to make selinux happy (#134456)

* Thu Sep 30 2004 Alexander Larsson <alexl@redhat.com> - 0.9.6-5
- Actually use nifd, but with -n
- Run ldconfig in the -libs post/postun (#134064)

* Tue Sep 21 2004 Alexander Larsson <alexl@redhat.com> - 0.9.6-4
- buildrequire libtool (#132873)
  Patch from Steve Grubb

* Tue Sep 14 2004 Alexander Larsson <alexl@redhat.com> - 0.9.6-3
- checkcfg nifd, but don't start it by default (#130240)

* Wed Sep  1 2004 Alex Larsson <alexl@redhat.com> 0.9.6-2
- Call ldconfig in post/postun (#131278)
- Silence init scripts (#131326)

* Tue Aug 10 2004 Alexander Larsson <alexl@redhat.com> - 0.9.6-1
- Update to 0.9.6, remove most patches

* Wed Jun 23 2004 Alexander Larsson <alexl@redhat.com> - 0.9.5-4
- Fix 64bit issue with interface enumeration

* Wed Jun 23 2004 Alexander Larsson <alexl@redhat.com> - 0.9.5-3
- fix howl.pc wrt lib64

* Wed Jun 23 2004 Alexander Larsson <alexl@redhat.com> - 0.9.5-2
- fix endian patch
- split out libs

* Wed Jun  9 2004 Alexander Larsson <alexl@redhat.com> 
- Initial build.
